!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

CPP=cl.exe
RSC=rc.exe

OUTDIR=.
INTDIR=.
# Begin Custom Macros
OutDir=.
# End Custom Macros

ALL : "$(OUTDIR)\libbison.lib"


CLEAN :
	-@erase "$(INTDIR)\alloca.obj"
	-@erase "$(INTDIR)\basename.obj"
	-@erase "$(INTDIR)\dirname.obj"
	-@erase "$(INTDIR)\error.obj"
	-@erase "$(INTDIR)\getopt.obj"
	-@erase "$(INTDIR)\getopt1.obj"
	-@erase "$(INTDIR)\malloc.obj"
	-@erase "$(INTDIR)\memchr.obj"
	-@erase "$(INTDIR)\memrchr.obj"
	-@erase "$(INTDIR)\obstack.obj"
	-@erase "$(INTDIR)\quote.obj"
	-@erase "$(INTDIR)\quotearg.obj"
	-@erase "$(INTDIR)\realloc.obj"
	-@erase "$(INTDIR)\stpcpy.obj"
	-@erase "$(INTDIR)\strchr.obj"
	-@erase "$(INTDIR)\strnlen.obj"
	-@erase "$(INTDIR)\strspn.obj"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\xmalloc.obj"
	-@erase "$(INTDIR)\xstrdup.obj"
	-@erase "$(INTDIR)\xstrndup.obj"
	-@erase "$(OUTDIR)\libbison.lib"

CPP_PROJ=/nologo /ML /w /W0 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /Fp"$(INTDIR)\libbison.pch" /YX /FD /c /I. /I..
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo /out:"$(OUTDIR)\libbison.lib" 
LIB32_OBJS= \
	"$(INTDIR)\alloca.obj" \
	"$(INTDIR)\basename.obj" \
	"$(INTDIR)\dirname.obj" \
	"$(INTDIR)\error.obj" \
	"$(INTDIR)\getopt.obj" \
	"$(INTDIR)\getopt1.obj" \
	"$(INTDIR)\malloc.obj" \
	"$(INTDIR)\memchr.obj" \
	"$(INTDIR)\memrchr.obj" \
	"$(INTDIR)\obstack.obj" \
	"$(INTDIR)\quote.obj" \
	"$(INTDIR)\quotearg.obj" \
	"$(INTDIR)\realloc.obj" \
	"$(INTDIR)\stpcpy.obj" \
	"$(INTDIR)\strchr.obj" \
	"$(INTDIR)\strnlen.obj" \
	"$(INTDIR)\strspn.obj" \
	"$(INTDIR)\xmalloc.obj" \
	"$(INTDIR)\xstrdup.obj" \
	"$(INTDIR)\xstrndup.obj"

"$(OUTDIR)\libbison.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) $(DEF_FLAGS) $(LIB32_OBJS)
<<

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

SOURCE=.\alloca.c

"$(INTDIR)\alloca.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\basename.c

"$(INTDIR)\basename.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\dirname.c

"$(INTDIR)\dirname.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\error.c

"$(INTDIR)\error.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\getopt.c

"$(INTDIR)\getopt.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\getopt1.c

"$(INTDIR)\getopt1.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\malloc.c

"$(INTDIR)\malloc.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\memchr.c

"$(INTDIR)\memchr.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\memrchr.c

"$(INTDIR)\memrchr.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\obstack.c

"$(INTDIR)\obstack.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\quote.c

"$(INTDIR)\quote.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\quotearg.c

"$(INTDIR)\quotearg.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\realloc.c

"$(INTDIR)\realloc.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\stpcpy.c

"$(INTDIR)\stpcpy.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\strchr.c

"$(INTDIR)\strchr.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\strnlen.c

"$(INTDIR)\strnlen.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\strspn.c

"$(INTDIR)\strspn.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\xmalloc.c

"$(INTDIR)\xmalloc.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\xstrdup.c

"$(INTDIR)\xstrdup.obj" : $(SOURCE) "$(INTDIR)"


SOURCE=.\xstrndup.c

"$(INTDIR)\xstrndup.obj" : $(SOURCE) "$(INTDIR)"

